# $Revision: 1.25 $, $Date: 2004/10/01 11:12:05 $
# TODO:
# - better descs in subpckgs
# - icon (?)
#
%define		_name ams
Summary:	Realtime modular synthesizer
Summary(pl):	Modularny syntezator dziaajcy w czasie rzeczywistym
Name:		alsa-modular-synth
Version:	1.8.6
Release:	2
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://dl.sourceforge.net/alsamodular/%{_name}-%{version}.tar.bz2
# Source0-md5:	2fd1f21fb27749e7be433a91756debd6
Source1:	%{name}.desktop
Patch0:		%{name}-build_fixes.patch
Patch1:		%{name}-examples_dir.patch
Patch2:		%{name}-alsa_1_0_hack.patch
URL:		http://alsamodular.sourceforge.net/
BuildRequires:	XFree86-devel
BuildRequires:	alsa-lib-devel >= 0.9.0
BuildRequires:	fftw-devel
BuildRequires:	jack-audio-connection-kit-devel >= 0.74.1
BuildRequires:	ladspa-devel
BuildRequires:	qt-devel >= 3.0.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AlsaModularSynth is a realtime modular synthesizer and effect
processor. It features:
- MIDI controlled modular software synthesis
- Realtime effect processing
- Full control of all synthesis and effect parameters via MIDI
- Integrated LADSPA Browser with search capability
- JACK Support

%description -l pl
AlsaModularSynth jest syntezatorem i procesorem efektw dziaajcym w
czasie rzeczywistym. Zawiera:
- kontrolowan przez MIDI modularn syntez programow
- nakadanie efektw w czasie rzeczywistym
- pen kontrol syntezy i efektw poprzez MIDI
- zintegrowan przegldark LADSPA z moliwoci wyszukiwania
- wsparcie dla JACK

%package demos
Summary:	Alsa Modular Synth demos
Summary(pl):	Dema Alsa Modular Synth
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}-%{release}
Requires:	ladspa-mcp-plugins >= 0.3.0
Requires:	ladspa-rev-plugins
Requires:	ladspa-vco-plugins

%description demos
Alsa Modular Synth demos.

%description demos -l pl
Dema Alsa Modular Synth.

%package instruments
Summary:	Alsa Modular Synth instruments examples
Summary(pl):	Przykady instrumentw dla Alsa Modular Synth
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}-%{release}
Requires:	ladspa-mcp-plugins >= 0.3.0
Requires:	ladspa-rev-plugins
Requires:	ladspa-vco-plugins

%description instruments
Instruments examples.

%description instruments -l pl
Przykadowe instrumenty.

%package tutorial
Summary:	Alsa Modular Synth tutorial
Summary(pl):	Alsa Modular Synth
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}-%{release}
Requires:	ladspa-mcp-plugins >= 0.3.0
Requires:	ladspa-rev-plugins
Requires:	ladspa-vco-plugins

%description tutorial
Alsa Modular Synth tutorial.

%description tutorial -l pl
Tutorial dla Alsa Modular Synth.

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} \
    OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_desktopdir}} \
	    $RPM_BUILD_ROOT%{_datadir}/ams/{demos,instruments,tutorial}

install ams $RPM_BUILD_ROOT%{_bindir}
install demos/*.ams $RPM_BUILD_ROOT%{_datadir}/ams/demos
install instruments/*.ams $RPM_BUILD_ROOT%{_datadir}/ams/instruments
install tutorial/*.ams $RPM_BUILD_ROOT%{_datadir}/ams/tutorial
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/ams
%{_desktopdir}/%{name}.desktop

%files demos
%defattr(644,root,root,755)
%{_datadir}/ams/demos/*.ams

%files instruments
%defattr(644,root,root,755)
%{_datadir}/ams/instruments/*.ams

%files tutorial
%defattr(644,root,root,755)
%{_datadir}/ams/tutorial/*.ams

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: alsa-modular-synth.spec,v $
Revision 1.25  2004/10/01 11:12:05  paladine
- rel 2 for fixed desktop file

Revision 1.24  2004/07/23 18:41:21  freetz
- 1.8.6

Revision 1.23  2004/06/01 21:46:49  freetz
- 1.8.3

Revision 1.22  2004/05/13 20:45:27  freetz
- 1.8.2 (tested with gcc 3.4 - safe)

Revision 1.21  2004/05/08 12:13:09  freetz
- 1.8.1

Revision 1.20  2004/04/28 15:21:36  freetz
- 1.8.0
- strict internal deps
- mcp highpass filter required (ladspa-mcp-plugins >= 0.3.0)

Revision 1.19  2004/03/24 21:59:31  freetz
- up to 1.7.7

Revision 1.18  2004/03/07 16:32:55  eothane
- up to 1.7.6

Revision 1.17  2004/02/29 22:56:33  freetz
- up to 1.7.5

Revision 1.16  2004/02/16 21:55:05  freetz
- we got yellow minijacks: version 1.7.3

Revision 1.15  2004/01/23 16:52:43  freetz
- 1.7.2

Revision 1.14  2004/01/13 13:33:21  freetz
- fix for new alsa 1.0 (patch) added
- rel.2

Revision 1.13  2004/01/09 12:27:31  freetz
- added demos, instruments, tutorial subpkgs
- rel.1

Revision 1.12  2003/12/22 21:37:24  freetz
- 1.7.1
- BR ladspa-devel
- fftw hack moved to patch0
- OPTFLAGS included into patch0 (simplified make section)
  note: NFY - see TODO list

Revision 1.11  2003/10/26 00:09:31  freetz
- added examples_dir patch (corrected examples location)
- .desktop pl desc and absolute path fixed
- Rs ladspa-mcp-plugins
- rel.1

Revision 1.10  2003/10/24 22:08:46  freetz
- 1.6.0

Revision 1.9  2003/08/28 17:18:25  freetz
- up to 1.5.12

Revision 1.8  2003/08/27 00:16:32  gotar
- fixed changelog trailer

Revision 1.7  2003/08/19 18:05:19  freetz
- md5
- corrected R

Revision 1.6  2003/08/19 18:02:41  freetz
- up to 1.5.11
- ladspa needed only at runtime
- not tested yet

Revision 1.5  2003/08/18 08:07:54  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.4  2003/08/06 16:07:58  kloczek

Revision 1.3  2003/08/04 19:05:34  qboosh
- pl fix, cleanups

Revision 1.2  2003/07/27 12:54:26  freetz
- up to 1.5.10
- descs/BR polished
- typos

Revision 1.1  2003/06/19 14:28:24  freetz
- initial release
